<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E040=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@100B</action>
      <action>temp1 =maincpu.mb@15F9</action>
    </script>
    <script state="run">
      <action>maincpu.mb@100B=C9</action>
      <action>maincpu.mb@15F9=C9</action> <!-- 1st = Fire, 2nd = Enemy -->
    </script>
    <script state="off">
      <action>maincpu.mb@100B=temp0 </action>
      <action>maincpu.mb@15F9=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@F207=00</action>
    </script>
  </cheat>

  <cheat desc="Horse (Invincibility)">
    <script state="run">
      <action>maincpu.pb@E037=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Boots (Speed)">
    <script state="run">
      <action>maincpu.pb@E041=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bullets (Shot Speed)">
    <script state="run">
      <action>maincpu.pb@E042=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Rifles (Range)">
    <script state="run">
      <action>maincpu.pb@E043=06</action>
    </script>
  </cheat>

  <cheat desc="One hit to kill boss Now!">
    <script state="on">
      <action>maincpu.pb@F790=01</action>
    </script>
  </cheat>

  <cheat desc="Almost no enemies shoot"> <comment>Only Bosses + some Indians shoot with this cheat.</comment>
    <script state="run">
      <action>maincpu.pb@E470=18</action>
    </script>
  </cheat>

  <cheat desc="No Common Guys at Boss"> <comment>Brown Enemies don't appear appear with the bosses.</comment>
    <script state="run">
      <action>maincpu.pb@E420=FF</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
